#ifndef _HASHFILE_H
#define _HASHFILE_H

#include <openssl/md5.h>
#include <openssl/sha.h>
#include <openssl/ripemd.h>

#define MD5_DIGEST_STRING_LENGTH (MD5_DIGEST_LENGTH * 2 + 1)
#define SHA1_DIGEST_STRING_LENGTH (SHA_DIGEST_LENGTH * 2 + 1)
#define RMD160_DIGEST_STRING_LENGTH (RIPEMD160_DIGEST_LENGTH * 2 + 1)

extern char *MD5File(const char *pathname, char *output);
extern char *SHA1File(const char *pathname, char *output);
extern char *RMD160File(const char *pathname, char *output);

#endif
